import { UploadStatus } from '../type';

declare const _default: import('vue').DefineComponent<{
    visible: BooleanConstructor;
    folderId: StringConstructor;
}, {
    bem: (el?: import('../../../utils/createNamespace').Mods, mods?: import('../../../utils/createNamespace').Mods) => import('../../../utils/createNamespace').Mods;
    title: import('vue').ComputedRef<string>;
    treeOptions: import('vue').Ref<{
        id: string | number;
        name: string;
        parentId: string | number;
        trees?: any[] | undefined;
    }[]>;
    inputRef: import('vue').Ref<any>;
    acceptArray: string[];
    successCount: import('vue').Ref<number>;
    errorCount: import('vue').Ref<number>;
    folderId: import('vue').Ref<string | number>;
    imgData: import('vue').Ref<{
        name: string;
        size: number;
        status: UploadStatus;
        type: 1 | 2;
        msg?: string | undefined;
        url?: string | undefined;
    }[]>;
    totalCount: import('vue').ComputedRef<number>;
    transformSize: (size: number) => string;
    onClickTrigger: () => void;
    submitHandle: () => Promise<void>;
    onInputChange: (e: Event) => Promise<void>;
    dropImagesEvent: (e: DragEvent) => Promise<void>;
    isReadFileLoading: import('vue').Ref<boolean>;
    isUploadFileLoading: import('vue').Ref<boolean>;
    isUploaded: import('vue').Ref<boolean>;
    stopUploadAndClose: () => void;
    closeHandle: () => void;
    amountSize: import('vue').Ref<number>;
    uploadedSize: import('vue').Ref<number>;
}, unknown, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    'update:visible': (visible: boolean) => boolean;
    success: () => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    visible: BooleanConstructor;
    folderId: StringConstructor;
}>> & {
    "onUpdate:visible"?: ((visible: boolean) => any) | undefined;
    onSuccess?: (() => any) | undefined;
}, {
    visible: boolean;
}, {}>;
export default _default;
